<?php /* ページ共通ヘッダーテンプレート */ ?>
<!doctype html>
<?php /* language_attributes() を使用して言語属性を取得します。 */ ?>
<html <?php language_attributes(); ?>>
<head>
<?php /* bloginfo( 'charset' ) を使用して使用する文字コードを取得します。 */ ?>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<?php /* ファイルを指定する場合は、echo get_template_directory_uri() を使用して絶対パスになるようにします。 */ ?>
<link href="<?php echo get_template_directory_uri(); ?>/css/style.css" rel="stylesheet" type="text/css">
<?php /* ファイルを指定する場合は、site_icon_url() を使用してサイトアイコンの URL を取得します。 */ ?>
<link href="<?php site_icon_url(); ?>" rel="icon">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<?php /* /head タグの直前に wp_head() を使用して WordPress の追加情報を展開できるようにします。 */ ?>
<?php wp_head(); ?>
</head>

<?php /* body_class() を使用してテンプレート種類を示すクラス名を取得します。 */ ?>
<body <?php body_class(); ?>>

<div class="header">
	<header class="container">
<?php /* is_singular() を使用して個別の投稿ページ（投稿や固定ページなど）かどうかをチェックします。 */ ?>
<?php /* home_url( '/' ) を使用して本サイトのホーム URL を取得します。 */ ?>
<?php /* get_bloginfo( 'name' ) を使用してサイトタイトルを取得します。 */ ?>
<?php if (is_singular()) { ?>
		<p class="h1"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></a></p>
<?php } else { ?>
		<h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></a></h1>
<?php } ?>
<?php /* has_nav_menu( 'primary' ) を使用して指定したメニューが割り当てられているかチェックします。 */ ?>
<?php if ( has_nav_menu( 'primary' ) ) { ?>
		<nav>
<?php /* wp_nav_menu( ・・・ ) を使用してメニュー情報を取得（展開）します。 */ ?>
		<?php
		wp_nav_menu(
			array(
				'theme_location'  => 'primary',				// メニューの位置（初期値：なし）
				'menu_class'      => 'menu-wrapper',		// ul要素のクラス名（初期値：menu）
				'container'       => false,					// ul要素のラップ要素（初期値：div）
				'items_wrap'      => '<ul>%3$s</ul>',		// 編集型式（%1$s：menu_id、%2$s：menu_class、%3$s：リスト項目）
				'fallback_cb'     => false,					// メニューが存在しない場合のコールバック関数（初期値：wp_page_menu）
			)
		);
		?>
		</nav>
<?php } ?>
	</header>
</div>
